<?
include_once('baseModelPMS.php');

class mainModel extends baseModelPMS {


	/* QUERYING FUNCTIONS */


	/* ********************************************************************************
	Select list of dashboard tasks
	******************************************************************************** */

	function getlist_dashboard($projectpkey) {

		$listdata=array();

		//$approval_tasks=$this->getlist_mroapprovals($projectpkey);
		//$listdata=$approval_tasks;

		return $listdata;
	}


	/* ********************************************************************************
	Select list of MRO approval tasks
	******************************************************************************** */

	function getlist_mroapprovals($projectpkey) {

		$listdata=array();

		$sql="Select MRO.* from mro_details MRO where MRO.mro_status=0 order by MRO.mro_requestdate ASC";
		$listdata=$this->getextendedrows($sql);
		return $listdata;
	}

}
?>